aboutsummaryrefslogtreecommitdiffstats
path: root/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..89db6ba
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+function lint {
+ echo "######################################################"
+ echo "## Running Linters ##"
+ echo "######################################################"
+
+ local status=0
+
+ echo "========================="
+ echo " flake8 "
+ echo "========================="
+ find . -name "*.py" -print0 | xargs -0 flake8
+
+ (( status = status + "$?" ))
+
+ echo ""
+ echo "========================="
+ echo " yamllint "
+ echo "========================="
+
+ find . -name "*.yaml" -print0 | xargs -0 yamllint
+
+ (( status = status + "$?" ))
+
+ echo ""
+ echo "========================="
+ echo " shellcheck "
+ echo "========================="
+ find . -name "*.sh" -print0 | xargs -0 shellcheck
+
+ (( status = status + "$?" ))
+
+ exit "$status"
+}
+
+
+
+lint
+